Method: projects.locations.schedules.list

특정 프로젝트와 위치의 일정을 나열합니다.

HTTP 요청

GET https://notebooks.googleapis.com/v1/{parent}/schedules

경로 매개변수

매개변수
parent

string

필수 항목. 형식: parent=projects/{projectId}/locations/{location}

승인을 처리하려면 지정된 리소스 parent에 대해 다음과 같은 IAM 권한이 필요합니다.

  • notebooks.schedules.list

쿼리 파라미터

매개변수
pageSize

integer

목록 호출의 최대 반환 크기입니다.

pageToken

string

마지막 결과부터 목록을 계속하는 데 사용할 수 있는 이전 반환 페이지 토큰입니다.

filter

string

결과 일정에 적용된 필터입니다.

orderBy

string

결과를 정렬할 필드입니다.

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

예약된 노트북 작업을 나열하는 응답입니다.

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{
  "schedules": [
    {
      object (Schedule)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
필드
schedules[]

object (Schedule)

반환된 인스턴스 목록입니다.

nextPageToken

string

다음 목록 호출에서 마지막 결과부터 목록을 계속하는 데 사용할 수 있는 페이지 토큰입니다.

unreachable[]

string

도달할 수 없는 일정입니다. 예를 들면 다음과 같습니다.

['projects/{projectId}/location/{location}/schedules/monthly_digest',
 'projects/{projectId}/location/{location}/schedules/weekly_sentiment']

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

자세한 내용은 Authentication Overview를 참조하세요.